edns_data_struct Struct Reference

`#include <edns.h>`

## Data Fields

unsigned char | ok [OPT_LEN]
unsigned char | error [OPT_LEN]
unsigned char | rdata_none [OPT_RDATA]

## Detailed Description

Definition at line 54 of file edns.h.

## Field Documentation

## error

unsigned char edns_data_struct::error[OPT_LEN]

Definition at line 56 of file edns.h.

Referenced by edns_init(), and query_add_optional().

## ok

unsigned char edns_data_struct::ok[OPT_LEN]

Definition at line 55 of file edns.h.

Referenced by edns_init(), and query_add_optional().

## rdata_none

unsigned char edns_data_struct::rdata_none[OPT_RDATA]

Definition at line 57 of file edns.h.

Referenced by query_add_optional().

The documentation for this struct was generated from the following file:

- src/wire/edns.h